Runway 视频 API
Omniall AI 支持两种调用方式:
统一接口别名:
POST|GET /runway/v1/task/...。
API 主机: https://api.omniall.ai · 鉴权 Authorization: Bearer sk-...。
示例模型:gen4_turbo、gen4_turbo/image-to-video、gen3a_turbo、gen4_aleph、gen4.5/image-to-video。见模型广场。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
通过统一任务接口与官方风格路径调用 Runway 视频。
| 风格 | 创建 | 查询 |
|---|---|---|
| 统一接口(推荐) | POST /v1/task/submit | GET /v1/task/{task_id} |
| 官方路径 | POST /runwayml/v1/image_to_video · POST /runwayml/v1/video_to_video | GET /runwayml/v1/tasks/{task_id} |
POST|GET /runway/v1/task/...。
API 主机: https://api.omniall.ai · 鉴权 Authorization: Bearer sk-...。
示例模型:gen4_turbo、gen4_turbo/image-to-video、gen3a_turbo、gen4_aleph、gen4.5/image-to-video。见模型广场。
| 场景(统一接口) | 关键 input 字段 |
|---|---|
| 文生视频 | promptText + 可选 ratio / duration |
| 图生视频 | promptText + promptImage |
| 视频生视频 | videoUri + promptText |
curl -X POST "https://api.omniall.ai/v1/task/submit" \
-H "Authorization: Bearer $API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "gen4_turbo",
"input": {
"promptText": "纸飞机掠过平静湖面",
"ratio": "16:9",
"duration": 5
}
}'